// (C) by Thalion Graphic Solutions e.K. 2001
//
// Permissions to copy, modify and redistribute
// granted, according to the conditions defined
// in the Gnu Public License (GPL).
// Please read the file gpl.txt provided with this
// distribution.

#include <graph/graph3d.h>
#include <graph/function.h>

//
// libgraph default instances.
//
#if defined(__sgi) && ! defined(__GNUG__)
# define MIPSPRO
#endif
#if defined(__GNUG__) || defined(MIPSPRO)
# define NEEDS_SRCINC
#endif
#if defined(NEEDS_SRCINC)
# include "function.cc"
# include "graph3d.cc"
#endif
#if MIPSPRO
# pragma instantiate graph::GraphableFunction2<100,100>
# pragma instantiate graph::GraphableFunction3<100,100>
# pragma instantiate graph::Function3Wrapper<100,100>
# pragma instantiate graph::Graph3d<100,100>
# pragma instantiate graph::BCodeFunction2<100,100>
# pragma instantiate graph::BCodeFunction3<100,100>
#else
template class graph::GraphableFunction2<100,100>;
template class graph::GraphableFunction3<100,100>;
template class graph::Function3Wrapper<100,100>;
template class graph::Graph3d<100,100>;
template class graph::BCodeFunction2<100,100>;
template class graph::BCodeFunction3<100,100>;
#endif
