// (C) by Thalion Graphic Solutions e.K. 2001
//
// Permissions to copy, modify and redistribute
// granted, according to the conditions defined
// in the Gnu Public License (GPL).
// Please read the file gpl.txt provided with this
// distribution.

#include <graph/function.h>

#include "plaf.h"
#include "trace.h"

#include <stdio.h>

template <int GW,int GH>
double graph::BCodeFunction2<GW,GH>::operator () (double x,double y)
{
   trace("graph::BCodeFunction2<GW,GH>::operator ()");
   env_->reset();
   env_->push(x);
   env_->push(y);
   env_->push(f_);
   env_->main(f_->getCodeSegment());
   return env_->getRealResult();   
}

template <int GW,int GH>
double graph::BCodeFunction3<GW,GH>::operator () (double x,double y,double z)
{
   trace("graph::BCodeFunction3<GW,GH>::operator ()");
   env_->reset();
   env_->push(x);
   env_->push(y);
   env_->push(z);
   env_->push(f_);
   env_->main(f_->getCodeSegment());
   return env_->getRealResult();   
}
