#ifndef _trace_h_
#define _trace_h_

// (C) by Thalion Graphic Solutions e.K. 2001
//
// Permissions to copy, modify and redistribute
// granted, according to the conditions defined
// in the Gnu Public License (GPL).
// Please read the file gpl.txt provided with this
// distribution.

#ifdef DEBUG
#include <stdio.h>
class Trace {
   public:
      Trace(const char *);
      ~Trace();
   private:
      const char *name_;
};
inline Trace::Trace(const char *name):name_(name)
{
   fprintf(stderr,"entering %s ()\n",name_);fflush(stderr);
}
inline Trace::~Trace()
{
   fprintf(stderr,"leaving %s ()\n",name_);fflush(stderr);
}
#define trace(name) Trace _trace(name)
#else
#define trace(name)
#endif

#endif
