package ui.res;

import java.util.Enumeration;
import java.util.Hashtable;
import java.util.ResourceBundle;

public class Strings extends ResourceBundle {

   private static Hashtable hash_;

   /**
    * Preloading all strings.
    */
   static {
      hash_ = new Hashtable();
      hash_.put("dialog-available-options","Available Options:");
      hash_.put("dialog-confirm","Please Confirm:");
      hash_.put("dialog-define","Define");
      hash_.put("dialog-defined-functions","Defined Functions:");
      hash_.put("dialog-enter-code","Enter your code:");
      hash_.put("dialog-exit-jgraph","Exit JGraph?");
      hash_.put("dialog-plot","Plot");
      hash_.put("dialog-preferences","Preferences");
      hash_.put("dialog-reset-jgraph",
                "Remove all definitions\nand close all windows?");
      hash_.put("dialog-set-bg",
                "Select background color");
      hash_.put("dialog-set-light0",
                "Select light #0 color");
      hash_.put("dialog-set-light1",
                "Select light #1 color");
      hash_.put("errmsg-error","Error");
      hash_.put("errmsg-dbuffer",
                "Jgraph internal data buffer size exceeded.");
      hash_.put("errmsg-file-not-found","File not found.");
      hash_.put("errmsg-function-not-plottable","Function is not plottable.");
      hash_.put("errmsg-graph-runtime","Graph runtime error.");
      hash_.put("errmsg-invalid-range","Invalid range.");
      hash_.put("errmsg-syntax","Syntax Error.");
      hash_.put("errmsg-typecheck","Typecheck failed.");
      hash_.put("label-axes","Axes");
      hash_.put("label-contours","Contours");
      hash_.put("label-dlists","Display Lists");
      hash_.put("label-lighting","Lighting");
      hash_.put("label-optimize","Optimize");
      hash_.put("label-points","Points");
      hash_.put("label-lines","Lines");
      hash_.put("label-smooth","Smooth");
      hash_.put("label-light0","Light #0");
      hash_.put("label-light1","Light #1");
      hash_.put("label-background","Background");
      hash_.put("menu-about","About");
      hash_.put("menu-edit","Edit");
      hash_.put("menu-exit","Exit");
      hash_.put("menu-file","File");
      hash_.put("menu-help","Help");
      hash_.put("menu-new","New");
      hash_.put("menu-open","Open File ...");
      hash_.put("menu-preferences","Preferences ...");
      hash_.put("menu-plot","Plot Function ...");
      hash_.put("menu-reset","Reset");
      hash_.put("tab-graph-ranges","Graph Plot Ranges");
      hash_.put("tab-graph-settings","Graph Settings");
      hash_.put("tab-mathc-settings","MathC Settings");
      hash_.put("tooltip-animate-loop","Infinite loop z0-z1");
      hash_.put("tooltip-animate-none","Don't animate");
      hash_.put("tooltip-animate-swing","Infinite swing z0-z1,z1-z0");
      hash_.put("tooltip-apply-settings","Apply settings");
      hash_.put("tooltip-close","Close");
      hash_.put("tooltip-define-all","Define All");
      hash_.put("tooltip-define-function","Define New Function ...");
      hash_.put("tooltip-define-selected","Define Selected");
      hash_.put("tooltip-draw-axes","Draw X,Y,Z axes");
      hash_.put("tooltip-draw-lines","Draw graph as wireframe model");
      hash_.put("tooltip-draw-points","Draw graph as a set of points");
      hash_.put("tooltip-draw-smooth","Draw graph shaded smooth");
      hash_.put("tooltip-edit-background","Edit background color");
      hash_.put("tooltip-edit-graph-ranges","Edit X0-X1 Y0-Y1 Z0-Z1 default ranges");
      hash_.put("tooltip-edit-graph-settings","Edit default settings for plotting");
      hash_.put("tooltip-edit-mathc-settings","Edit default settings for mathc compiler");
      hash_.put("tooltip-edit-light0","Edit light #0 colors");
      hash_.put("tooltip-edit-light1","Edit light #1 colors");
      hash_.put("tooltip-edit-preferences","Edit Preferences ...");
      hash_.put("tooltip-open","Open File ...");
      hash_.put("tooltip-plot-function","Plot Function ...");
      hash_.put("tooltip-plot-it","Plot it!");
      hash_.put("tooltip-print","Print ...");
      hash_.put("tooltip-reset","Reset");
      hash_.put("tooltip-use-contours","Use contour shades");
      hash_.put("tooltip-use-dlists","Cache graphics in display lists");
      hash_.put("tooltip-use-lighting","Use lighting");
      hash_.put("info-about-url",
                System.getProperty("jgraph.res")
                + System.getProperty("file.separator")
                + "about.html");
      hash_.put("preferences-file",
                System.getProperty("user.home")
                + System.getProperty("file.separator")
                + ".jgraph.preferences");
   }


   public Object handleGetObject(String key)
   {
      return hash_.get(key);
   }

   public Enumeration getKeys()
   {
      return hash_.keys();
   }

}
