#ifndef _graph_plaf_h_
#define _graph_plaf_h_

// (C) by Thalion Graphic Solutions e.K. 2001
//
// Permissions to copy, modify and redistribute
// granted, according to the conditions defined
// in the Gnu Public License (GPL).
// Please read the file gpl.txt provided with this
// distribution.

//
// Open GL version dependencies.
//
#if defined(GL_11)
# define GL_COLOR_ARRAY GL_COLOR_ARRAY_EXT
# define GL_NORMAL_ARRAY GL_NORMAL_ARRAY_EXT
# define GL_VERTEX_ARRAY GL_VERTEX_ARRAY_EXT
# define GL_DOUBLE GL_DOUBLE_EXT
# define glColorPointer(size,type,stride,count,pointer) \
   glColorPointerEXT((size),(type),(stride),(count),(pointer))
# define glNormalPointer(type,stride,count,pointer) \
   glNormalPointerEXT((type),(stride),(count),(pointer))
# define glVertexPointer(size,type,stride,count,pointer) \
   glVertexPointerEXT((size),(type),(stride),(count),(pointer))
# define glEnableClientState glEnable
# define glDrawElements(mode,count,type,indices) { \
   int i; \
   glBegin (mode); \
   for (i = 0; i < (count); i++) { \
      glArrayElementEXT((indices)[i]); \
   } \
   glEnd(); \
}
#else
# define glColorPointer(size,type,stride,count,pointer) \
   ::glColorPointer(size,type,stride,pointer)
# define glNormalPointer(type,stride,count,pointer) \
   ::glNormalPointer(type,stride,pointer)
# define glVertexPointer(size,type,stride,count,pointer) \
   ::glVertexPointer(size,type,stride,pointer)
#endif

#endif
